# Building

Clone the repo, then open the project in Android Studio.

Make sure the required Android NDK platforms are installed, and the environment
variable `ANDROID_NDK_TOOLCHAIN_DIR` is configured correctly.

On Windows, this might be a path such as the following (NDK "Side by side" SDK tool):

```
%LOCALAPPDATA%\Android\Sdk\ndk\25.1.8937393\toolchains\llvm\prebuilt\windows-x86_64\bin
```

Set your API ID and hash in the rust code.

Change the Cargo.toml to point to a local grammers source tree and remove the version argument.

Sync gradle files, and Android Studio's "build" and "run" should Just Work.
